ChangeSet 1.1608.24.40, 2004/03/03 12:53:48-08:00, greg@kroah.com

[PATCH] USB: remove act_altsetting usages in the remaining drivers/usb/ drivers


 drivers/usb/input/ati_remote.c |    2 +-
 drivers/usb/input/hid-core.c   |    2 +-
 drivers/usb/input/mtouchusb.c  |    2 +-
 drivers/usb/net/usbnet.c       |    2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)


diff -Nru a/drivers/usb/input/ati_remote.c b/drivers/usb/input/ati_remote.c
--- a/drivers/usb/input/ati_remote.c	Tue Mar 16 15:04:19 2004
+++ b/drivers/usb/input/ati_remote.c	Tue Mar 16 15:04:19 2004
@@ -700,7 +700,7 @@
 		return -ENOMEM;
 	memset(ati_remote, 0x00, sizeof (struct ati_remote));
 
-	iface_host = &interface->altsetting[interface->act_altsetting];
+	iface_host = interface->cur_altsetting;
 	if (iface_host->desc.bNumEndpoints != 2) {
 		err("%s: Unexpected desc.bNumEndpoints\n", __FUNCTION__);
 		retval = -ENODEV;
diff -Nru a/drivers/usb/input/hid-core.c b/drivers/usb/input/hid-core.c
--- a/drivers/usb/input/hid-core.c	Tue Mar 16 15:04:19 2004
+++ b/drivers/usb/input/hid-core.c	Tue Mar 16 15:04:19 2004
@@ -1445,7 +1445,7 @@
 
 static struct hid_device *usb_hid_configure(struct usb_interface *intf)
 {
-	struct usb_host_interface *interface = intf->altsetting + intf->act_altsetting;
+	struct usb_host_interface *interface = intf->cur_altsetting;
 	struct usb_device *dev = interface_to_usbdev (intf);
 	struct hid_descriptor *hdesc;
 	struct hid_device *hid;
diff -Nru a/drivers/usb/input/mtouchusb.c b/drivers/usb/input/mtouchusb.c
--- a/drivers/usb/input/mtouchusb.c	Tue Mar 16 15:04:19 2004
+++ b/drivers/usb/input/mtouchusb.c	Tue Mar 16 15:04:19 2004
@@ -217,7 +217,7 @@
         }
 
         dbg("%s - setting interface", __FUNCTION__);
-        interface = &intf->altsetting[intf->act_altsetting];
+        interface = intf->cur_altsetting;
 
         dbg("%s - setting endpoint", __FUNCTION__);
         endpoint = &interface->endpoint[0].desc;
diff -Nru a/drivers/usb/net/usbnet.c b/drivers/usb/net/usbnet.c
--- a/drivers/usb/net/usbnet.c	Tue Mar 16 15:04:19 2004
+++ b/drivers/usb/net/usbnet.c	Tue Mar 16 15:04:19 2004
@@ -3009,7 +3009,7 @@
 		return -ENODEV;
 	}
 	xdev = interface_to_usbdev (udev);
-	interface = &udev->altsetting [udev->act_altsetting];
+	interface = udev->cur_altsetting;
 
 	usb_get_dev (xdev);
 
